| Home | Libraries | People | FAQ | More

## Function throw_runtime_error

boost::container::throw_runtime_error

## Synopsis

    // In header: <boost/container/throw_exception.hpp>

    BOOST_NORETURN void throw_runtime_error(const char * str);

## Description

Exception callback called by Boost.Container to report errors that can only be detected during runtime.

- If BOOST_NO_EXCEPTIONS is NOT defined `std::runtime_error(str)` is thrown.

- If BOOST_NO_EXCEPTIONS is defined and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS is NOT defined `BOOST_ASSERT_MSG(!"boost::container runtime_error thrown", str)` is called and `std::abort()` if the former returns.

- If BOOST_NO_EXCEPTIONS and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS are defined the user must provide an implementation and the function should not return.